function F = FnkMat ( n,k,fomega,Omega )
%UNTITLED3 F_{n,k}-Matrix zu Koeff und Freq
%   Detailed explanation goes here

[ s,nOm ] = size( Omega );

alpha = MultIndices( s,n );
[ nx,ny ] = size( alpha );
beta = MultIndices( s,k );
[kx,ky] = size( beta );

F = zeros( ny,ky );

for j=1:nOm
    om = Omega( :,j)';
    F = F + fomega(j) * ( exp( om*alpha ) )' * ( exp( om*beta ) );
end

end

